@extends('layouts.app')
@section('styles')
<link href="{{ asset('webstyles/calender/fullcalendar.min.css')}}" rel='stylesheet' />
<link href="{{ asset('webstyles/calender/fullcalendar.print.min.css')}}" rel='stylesheet' media='print' />
<script src="{{ asset('webstyles/calender/moment.min.js')}}"></script>
<script src="{{ asset('webstyles/calender/jquery.min.js')}}"></script>
<script src="{{ asset('webstyles/calender/fullcalendar.min.js')}}"></script>
<script>

  $(document).ready(function() {

    $('#calendar').fullCalendar({
      header: {
        left: 'prev,next today',
        center: 'title',
        right: 'month,agendaWeek,agendaDay,listWeek'
      },
      defaultDate: '2019-01-12',
      navLinks: true, // can click day/week names to navigate views
      editable: true,
      eventLimit: true, // allow "more" link when too many events
      events: [
        {
          title: 'All Day Event',
          start: '2019-01-01',
        },
        {
          title: 'Long Event',
          start: '2019-01-07',
          end: '2019-01-10'
        },
        {
          id: 999,
          title: 'Repeating Event',
          start: '2019-01-09T16:00:00'
        },
        {
          id: 999,
          title: 'Repeating Event',
          start: '2019-01-16T16:00:00'
        },
        {
          title: 'Conference',
          start: '2019-01-11',
          end: '2019-01-13'
        },
        {
          title: 'Meeting',
          start: '2019-01-12T10:30:00',
          end: '2019-01-12T12:30:00'
        },
        {
          title: 'Lunch',
          start: '2019-01-12T12:00:00'
        },
        {
          title: 'Meeting',
          start: '2019-01-12T14:30:00'
        },
        {
          title: 'Happy Hour',
          start: '2019-01-12T17:30:00'
        },
        {
          title: 'Dinner',
          start: '2019-01-12T20:00:00'
        },
        {
          title: 'Birthday Party',
          start: '2019-01-13T07:00:00'
        },
        {
          title: 'Click for Google',
          url: 'http://google.com/',
          start: '2019-01-28'
        }
      ]
    });

  });

</script>
<style>

  #calendar {
    max-width: 900px;
    margin: 0 auto;
  }

</style>
<style>
 .mgbtn{
   margin: 2px !important;
 }
 .statistic__item {
    border: 1px solid #e5e5e5;
    background: #fff;
    padding: 20px 30px;
    position: relative;
    overflow: hidden;
    margin-bottom: 40px;
}
.statistic__item h2 {
    font-size: 36px;
    font-weight: 300;
    color: #4272d7;
	margin-top:0
}
.statistic__item .desc {
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 300;
    color: rgba(128, 128, 128, 0.6);
}
</style>
@endsection
@section('content')
<div class="col-xs-12 col-sm-9 content">
  <div class="panel panel-default">
    <div class="panel-heading">
      <h3 class="panel-title"><a href="javascript:void(0);" class="toggle-sidebar"><span class="fa fa-angle-double-left" data-toggle="offcanvas" title="Maximize Panel"></span></a> Dashboard</h3>
    </div>
    <div class="panel-body">


        <div class="content-row">
          <div class="row">


                                <div class="col-md-6 col-lg-3">
                                    <div class="statistic__item">
                                        <h2 class="number">10</h2>
                                        <span class="desc">Member online</span>

                                    </div>
                                </div>
                                <div class="col-md-6 col-lg-3">
                                    <div class="statistic__item">
                                        <p style="font-size: 16px;color: #3f7ad3;"> 3 (Pending) 5 (Completed)</p>
                                        <span class="desc">Todays Task</span>

                                    </div>
                                </div>
                                <div class="col-md-6 col-lg-3">
                                    <div class="statistic__item">
                                        <h2 class="number">1,086</h2>
                                        <span class="desc">Total Task</span>

                                    </div>
                                </div>
                                <div class="col-md-6 col-lg-3">
                                    <div class="statistic__item">
                                        <h2 class="number">060,386</h2>
                                        <span class="desc">Other</span>

                                    </div>
                                </div>



<div class="col-md-6">
  <div class="panel panel-default">
      <div class="panel">
        <div class="panel-heading" style="    background: #00bcd4;color: white;">Timeline</div>
        <div class="row">
          <div class="col-md-12">
            <div id='calendar'></div>
          </div>
        </div>

</div>
</div>
</div>



            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel">
                      <?php
                      $mytime = Carbon\Carbon::now()->format('d-m-Y');
                      ?>
                      <div class="panel-heading" style="    background: #009688;color: white;">Todays Tasks <b>(<?php echo $mytime;?>) </b></div>
                          <div class="table-responsive">
                            <table class="table table-bordered">
                              <thead>
                                <tr>
                                  <th>#</th>
                                  <th>Task Name</th>
                                  <th>Assigned To</th>
                                  <th>Task Details</th>
                                  <th>Discussions</th>
                                  <th>Note</th>
                                  <th>Last LoggedIn</th>
                                  <th>Last LoggedOut</th>
                                  <th>Todays Logged</th>
                                  <th>Total Hours</th>
                                  <th>Action</th>
                                </tr>
                              </thead>
                              <tbody>
                                <tr>
                                  <td>1</td>
                                  <td>My Task</td>
                                  <td>User</td>
                                  <td>Some Details</td>
                                  <td>admin: hello, user: hello</td>
                                  <td>Some notes here</td>
                                  <td>11:00</td>
                                  <td>12:00</td>
                                  <td>2</td>
                                  <td>7</td>
                                  <td>
                                    <button class="btn-sm btn-warning mgbtn"> Edit</button>
                                    <button class="btn-sm btn-danger mgbtn"> Discussion</button>
                                    <button class="btn-sm btn-success mgbtn"> Details</button>
                                  </td>
                                </tr>
                                <tr>
                                  <td>2</td>
                                  <td>My Task</td>
                                  <td>User</td>
                                  <td>Some Details</td>
                                  <td>admin: hello, user: hello</td>
                                  <td>Some notes here</td>
                                  <td>11:00</td>
                                  <td>12:00</td>
                                  <td>2</td>
                                  <td>7</td>
                                  <td>
                                    <button class="btn-sm btn-warning mgbtn"> Edit</button>
                                    <button class="btn-sm btn-danger mgbtn"> Discussion</button>
                                    <button class="btn-sm btn-success mgbtn"> Details</button>
                                  </td>
                                </tr>
                                <tr>
                                  <td>4</td>
                                  <td>My Task</td>
                                  <td>User</td>
                                  <td>Some Details</td>
                                  <td>admin: hello, user: hello</td>
                                  <td>Some notes here</td>
                                  <td>11:00</td>
                                  <td>12:00</td>
                                  <td>2</td>
                                  <td>7</td>
                                  <td>
                                    <button class="btn-sm btn-warning mgbtn"> Edit</button>
                                    <button class="btn-sm btn-danger mgbtn"> Discussion</button>
                                    <button class="btn-sm btn-success mgbtn"> Details</button>
                                  </td>
                                </tr>
                              </tbody>
                            </table>
                          </div>
                        </div>
              </div>
            </div>



          </div>
        </div>


    </div><!-- panel body -->
  </div>
</div><!-- content -->

<!-- Modal -->
<div class="modal fade" id="addusermodal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Add New User</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="{{ route('addnewuser')}}" method="post" enctype="multipart/form-data">
          <div class="row">
            <div class="col-md-12">
              <label>Name</label>
              <input type="text" class="form-control" name="name" required/>
            </div>
            <div class="col-md-12">
              <label>Email</label>
              <input type="email" class="form-control" name="email" required/>
            </div>
            <div class="col-md-12">
              <label>Password</label>
              <input type="password" class="form-control" name="password" required/>
            </div>
            <div class="col-md-12">
              <label>Designation</label>
              <input type="text" class="form-control" name="designation" required/>
            </div>
          </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary">Save changes</button>
      </div>
      {{ csrf_field()}}
      </form>
    </div>
  </div>
</div>
@endsection
@section('scripts')
<script>
@if(\Session::has('message'))
   var msg =  "{{ \Session::get('message') }}" ;
           swal("Alert!", msg, "success");
   @endif
</script>


@endsection
